using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("药品明细")]
    public class T_PR_DRUG_CARRY_RECORD_DETAIL : MesEntityBase
    {
        [Description("药品搬运记录表")]
        [DataFieldForeignKey("Nav_Record", "Nav_Details")]
        public Guid CARRY_RECORD_ID { get; set; }

        [Description("药品搬运记录表")]
        public virtual T_PR_DRUG_CARRY_RECORD Nav_Record { get; set; }

        [Description("药品名称")]
        [DataFieldForeignKey("Nav_Drug")]
        public Guid? DRUG_SET_ID { get; set; }

        [Description("药品名称")]
        public virtual T_PR_DRUG_SET Nav_Drug { get; set; }

        [Description("药剂类型")]
        [DataFieldForeignKey("Nav_Type")]
        public Guid? TYPE_ID { get; set; }

        [Description("药剂类型")]
        public virtual T_PR_DRUG_TYPE Nav_Type { get; set; }

        [Description("规格")]
        [DataFieldForeignKey("Nav_Specify")]
        public Guid? SPECIFY_ID { get; set; }

        [Description("规格")]
        public virtual T_PR_DRUG_SET_SPECIFY Nav_Specify { get; set; }

        [Description("出库数量")]
        public int QTY { get; set; }

        [Description("单位")]
        public string UNIT { get; set; }

        [Description("搬运时间")]
        public DateTime? CARRY_TIME { get; set; }

        [Description("送达地点")]
        [DataFieldForeignKey("Nav_Place")]
        public Guid? PLACE_ID { get; set; }

        [Description("送达地点")]
        public virtual T_PR_DRUG_PLACE Nav_Place { get; set; }

        [Description("搬运人员")]
        public ICollection<T_PR_DRUG_CARRY_RECORD_DETAIL_USER> Nav_Users { get; set; }

        [Description("搬运部门")]
        public string DEPARTMENT { get; set; }

        [Description("接收人员")]
        public ICollection<T_PR_DRUG_CARRY_RECORD_DETAIL_ACCEPT> Nav_Accepts { get; set; }
    }
}
